import React from 'react';
import { Button, message, Spin , Alert , Modal  } from 'antd';
import { $Axios } from '../../common/publish';
import '../Layout/Layout.scss'
import styleData from '../moduleCss/style.module.scss';
import CenterO from '../center-o/centerO.jsx'
import CenterW from '../center-w/centerW.jsx'
import CenterS from '../center-s/centerS.jsx'
import select_data from '../../common/ssq';
import { triggerFocus } from 'antd/lib/input/Input';
export default class Layout extends React.Component {
    constructor(props) {
        super(props)
        this.state = {
            headTxt: '商户入网 > 商户基本信息',
            htmls: 1,
            initHtmls: 1,
            Params_o: {},
            Params_w: {},
            Params_S: {},
            signedType: '',
            lodings : true,
            btnType : '',
            registerRole :'',
            isModalVisible: false,
            modalTxt : '',
            offlist : select_data.offlist,
        }

    }

    componentDidMount() {
        let that_ = this;
        let s = setTimeout(function(){ that_.setState({lodings : false})}, 1000);
    }

    handleChange(value) {

    }
    bindRef_o = ref => { this.CenterO = ref }
    bindRef_w = ref => { this.CenterW = ref }
    bindRef_s = ref => { this.CenterS = ref }

    onCloseType(value) {
        this.setState({
            btnType: false
        });
    }

    Validation_data(e) {
        let listArr = [];  //必填项数组
        let data = '';
        let odatas = JSON.parse(localStorage.getItem('oData'));
        if (e == 1) {
            data = JSON.parse(localStorage.getItem('oData'));
            this.setState({
                registerRole : data.registerRole
            })
        }
        if (e == 2) {
            data = JSON.parse(localStorage.getItem('wData'));
        }
        if (e == 3) {
            data = JSON.parse(localStorage.getItem('sData'));
        }
        if(odatas.registerRole == 'INDIVIDUAL_BUSINESS'){ //个体工商户必填项验证
            let datas = select_data.INDIVIDUAL_BUSINESS;
            if(data.desireAuth == 'DESIRE_MOBILEINFO'){ //手机短信验证 增加必填项
                datas.push({ txt : '法人手机号' , of : 'M', value : 'legalPersonPhoneNo'})
            }
            datas.map((item,index) => {
                let s = item.value;
                for(let key  in data){
                    if(key == s){
                        if(data[key] == ''){
                            listArr.push(key);
                        }
                    }
                }
            })
            
        }else if(odatas.registerRole == 'NATURAL_PERSON'){ //自然人必填项验证
            let datas = select_data.NATURAL_PERSON;  //必填项列表
            datas.map((item,index) => {  
                let s = item.value;
                for(let key  in data){
                    if(key == s){
                        if(data[key] == ''){
                            listArr.push(key)
                        }
                    }
                }
            });
        }else if(odatas.signedType == 'GENERAL_SUB_MERCHANT'){ //收单子户
            let datas = select_data.GENERAL_SUB_MERCHANT;  //必填项列表
            datas.map((item,index) => {  
                let s = item.value;
                for(let key  in data){
                    if(key == s){
                        if(data[key] == ''){
                            listArr.push(key)
                        }
                    }
                }
            });
        }else{ //默认必填项验证
            let datas = select_data.offlist;  //必填项列表
            datas.map((item,index) => {  
                let s = item.value;
                for(let key  in data){
                    if(key == s){
                        if(data[key] == ''){
                            listArr.push(key)
                        }
                    }
                }
            });
        }
        return listArr;
    }

    messageTK(e){
        message.error({
            content: e,
            className: 'custom-class',
            style: {
              marginTop: '20%',
            },
            onClose : this.onCloseType.bind(this)
          });
        this.setState({
            btnType: true
        });
    }



    btnClick_1() {
        let headTxt = '商户入网 > 商户资质信息'
        let that_ = this;
        that_.setState({lodings : true});
        that_.CenterO.childMethod()  //第一页跳第二页保存第一页数据
        let list = that_.Validation_data(1);//验证第一页必填项是否填写，获取未填写的必填项
        that_.CenterO.verification(list)  //发送给组件 未填写必填项 给出提示
        let flag = list.length > 0 ? false : true;  //list长度大于0 代表有必填项未填写
        if(flag == false){  //标记为false 则拦截跳转组件
            that_.setState({lodings : false})
        }else{
            setTimeout(function(){ that_.setState({lodings : false}) }, 500);
        }    
        if(flag == true){ //标记为true 允许跳转
            that_.setState({lodings : true});
            setTimeout(function () {
                that_.CenterW.childMethod()  //第一页跳第二页回填数据
            }, 500);
            this.setState({
                headTxt: headTxt,
                htmls: 2,
            });
        }
    }

    btnClick_2() {
        let headTxt = '商户入网 > 商户基本信息'
        let that_ = this;
        that_.setState({lodings : true});
        that_.CenterW.childMethod()  //第二页跳第一页保存第二页数据
        setTimeout(function(){ that_.setState({lodings : false}) }, 500);
        setTimeout(function () {
            that_.CenterO.childMethod()  //第二页跳第一页回填数据
        }, 500)

        this.setState({
            headTxt: headTxt,
            htmls: 1,
        })

    }

    btnClick_3() {
        let headTxt = '商户入网 > 结算信息'
        let that_ = this;
        that_.setState({lodings : true});
        that_.CenterW.childMethod()  //第一页跳第二页保存第一页数据
        let list = that_.Validation_data(2);//验证第一页必填项是否填写，获取未填写的必填项
        that_.CenterW.verification(list)  //发送给组件 未填写必填项 给出提示
        let flag = list.length > 0 ? false : true;  //list长度大于0 代表有必填项未填写
        if(flag == false){
            that_.setState({lodings : false})
        }else{
            setTimeout(function(){ that_.setState({lodings : false}) }, 500);
        }    
        
        if(flag == true){
            that_.setState({lodings : true});
            setTimeout(function () {
                that_.CenterS.childMethod()  //第二页跳第三页回填数据
            }, 500);
            this.setState({
                headTxt: headTxt,
                htmls: 3,
            });
        }
    }

    btnClick_4() {
        let headTxt = '商户入网 > 结算信息'
        let that_ = this;
        that_.setState({lodings : true});
        that_.CenterS.childMethod()  //第三页跳第二页保存第三页数据
        setTimeout(function(){ that_.setState({lodings : false}) }, 500);
        setTimeout(function () {
            that_.CenterW.childMethod()  //第三页跳第二页回填数据
        }, 500)

        this.setState({
            headTxt: headTxt,
            htmls: 2,
        })
    }



    getParams_o = (result, msg) => {
        this.setState({
            Params_o: msg
        })
    }

    getParams_w = (result, msg) => {
        this.setState({
            Params_w: msg
        })
    }

    getParams_s = (result, msg) => {
        this.setState({
            Params_S: msg
        })
    }

    btnClick() {
        let that_ = this;
        that_.CenterS.childMethod(); //提取第三页数据
        let list = that_.Validation_data(3);//验证第三页必填项是否填写，获取未填写的必填项
        that_.CenterS.verification(list)  //发送给组件 未填写必填项 给出提示
        let flag = list.length > 0 ? false : true;  //list长度大于0 代表有必填项未填写
        that_.setState({lodings : true});
        if(flag == false){
            that_.setState({lodings : false})
        }else{
            setTimeout(function(){ that_.setState({lodings : false}) }, 500);
        } 
        
        if(flag == true){
            this.initData();
        }
    }
    initData() {
        let merchantType = JSON.parse(localStorage.getItem('userData')).merchantType;
        let merchantNo = JSON.parse(localStorage.getItem('userData')).merchantNo;
        let mallId = JSON.parse(localStorage.getItem('userData')).mallId; //上游提供
        let odata = localStorage.getItem('oData');
        let wdata = localStorage.getItem('wData');
        let sdata = localStorage.getItem('sData');
        let that_ = this;
        let url = '/payment/merchant.declaration.groovy'
        let params = {
            operationType: 'CREATE', // ：1：CREATE创建即入网，2：MODIFY更新即修改(审核通过前)
            name: JSON.parse(localStorage.getItem('userData')).userName,
            appName: merchantType == 2 ? merchantNo : '',
            parentAppName: merchantType == 2 ? mallId : '',
            mallId: merchantType == 3 ? mallId : '',
            merchantNo: merchantNo,//上游提供
            merchantType: merchantType,//ydy和商城的上游提供
            merchantInfo: {     //原首易信接口参数
                requestId: '', //订单号为商户自行拟定，提交的订单号必须在自身平台交易中唯一。商户平台不能以相同的订单号再次提交。
                operationType: 'CREATE', // ：1：CREATE创建即入网，2：MODIFY更新即修改(审核通过前)
                notifyUrl: '',//服务器通知：当订单状态发生变更后会向该地址发送五次通知，该地址可以带参数，如:“https://www.5upay.com/callback.action?test=test”.注意：如不填notifyUrl的参数值成功后您的服务器将得不到通知。
                extendedParameters: //autoReview 是否跳过流程 TRUE 是， FALSE 否 sendActiveEmail 是否发送激活邮件 TRUE 是， FALSE 否 （这两项参数传递用”,”隔开，示例：autoReview:FALSE,sendActiveEmail:TRUE）
                    'autoReview: FALSE,sendActiveEmail: TRUE'
                ,
                baseInfo: JSON.parse(odata),
                bankCardInfo : JSON.parse(sdata),
                desireAuthInfo :{
                    legalPersonName : JSON.parse(wdata).legalPersonName,
                    legalPersonIdNo : JSON.parse(wdata).legalPersonIdNo,
                    legalPersonPhoneNo : JSON.parse(odata).legalPersonPhoneNo
                },
                certificateInfo : JSON.parse(wdata),
                certificateContacts : [   //最终受益人信息
                    {
                        name : JSON.parse(sdata).name,
                        idType : JSON.parse(sdata).idType,
                        idNo : JSON.parse(sdata).idNo,
                        effectiveDateStart : JSON.parse(sdata).effectiveDateStart,
                        effectiveDateEnd : JSON.parse(sdata).effectiveDateEnd,
                        address : JSON.parse(sdata).address,
                        equityRatio : JSON.parse(sdata).equityRatio
                    }
                ],
                contractInfo : {   //合同信息
                    receiverName : JSON.parse(sdata).receiverName,
                    receiverPhone : JSON.parse(sdata).receiverPhone,
                    receiverAddress: JSON.parse(sdata).receiverAddress,
                },
                paymentProfiles : [

                    {
                        paymentMode : 'WEIXIN_MINIAPPS',
                        feeType : '',
                        feeAmount: ''
                    }
                    ,
                    {
                        paymentMode : 'ALIPAY_WAP',
                        feeType : '',
                        feeAmount: ''
                    }
                    ,
                    {
                        paymentMode : 'ALIPAY_OFFICIAL',
                        feeType : '',
                        feeAmount: ''
                    }
                ],
                settlementProfile : '',
                hmac : ''
            }
        }
        
        $Axios('get', url, params, (res) => {
            let data = res.data;
            let status = res.data.head.status;
            that_.countDownTK(status,data)
            that_.setState({lodings : false});
        })
       
    }


    countDownTK(e,data){
        let Tips = '';
        switch(e){
            case 700:
                Tips = data.body;
                this.countDown(Tips)
              break;
            case 200:
                Tips = data.body.msg;
                this.countDown(Tips)
                break;
          }
    }

    handleOk_c(){  //关闭弹框
        this.setState({
            isModalVisibleImg : false,
        })
    }

    countDown (e) {
        let secondsToGo = 5;
        const modal = Modal.success({
          title: e,
        });
        setTimeout(() => {
          modal.destroy();
        }, secondsToGo * 1000);
      }


    render() {
        const { headTxt, htmls , lodings , btnType  } = this.state;
        return (
            <div className={styleData.rootDom}>
                <div className={styleData.header_center}>
                    {headTxt}
                </div>
                <div className={styleData.main_center}>
                    <div className={styleData.center_ups}>
                        {lodings == true && <div style={{
                            width : '100%',
                            height : '100%',
                            textAlign : 'center',
                            paddingTop : '20%'
                        }}>
                            <Spin tip="页面加载中,请稍后...">
                
                            </Spin>
                        </div>}
                        {htmls === 1 && lodings == false && (<CenterO arr={this.state.Params_o} parent={this} onRef={this.bindRef_o}></CenterO>)}
                        {htmls === 2 && lodings == false && (<CenterW arr={this.state.Params_w} parent={this} onRef={this.bindRef_w}></CenterW>)}
                        {htmls === 3 && (<CenterS arr={this.state.Params_S} parent={this} onRef={this.bindRef_s}></CenterS>)}
                    </div>
                    <div className={styleData.center_bottom}>
                        {htmls === 1 && lodings == false &&  <Button className={styleData.btn, styleData.btn_next} type="primary" htmlType="submit" onClick={() => this.btnClick_1()} loading={btnType}>下一步</Button>}
                        {htmls === 2 && lodings == false &&  <Button className={styleData.btn, styleData.btn_xg} onClick={() => this.btnClick_2()} loading={btnType}>上一步</Button>}
                        {htmls === 2 && lodings == false &&  <Button className={styleData.btn, styleData.btn_next} type="primary" htmlType="submit" onClick={() => this.btnClick_3()} loading={btnType}>下一步</Button>}
                        {htmls === 3 && lodings == false &&  <Button className={styleData.btn, styleData.btn_xg} onClick={() => this.btnClick_4()} loading={btnType}>上一步</Button>}
                        {htmls === 3 && lodings == false &&  <Button className={styleData.btn, styleData.btn_next} type="primary" htmlType="submit" onClick={() => this.btnClick('ok')} loading={btnType}>提交</Button>}
                    </div>
                </div>
                {/* <Modal title="入网结果"
                    footer={[]}
                    visible={isModalVisibleImg}
                    closable={true}
                    onCancel={this.handleOk_c.bind(this)}
                >
                        <div style={{
                            width: '95%',
                            height: '200px',
                            textAlign : 'center',
                            fontSize : '20px',
                            color : '#ccc',
                            lineHeight : '200px',
                            overflow:'auto'
                        }}>
                             {modalTxt}
                        </div>
                </Modal> */}
            </div>
        )
    }
}